atui = {}
atui.appName = "AethamusUI"

local ADDON_VERSION = "1.1"

function atuiAethamus()
		RedirectTexture("esoui/art/loot/loot_windowbg.dds", "AethamusUI/media/loot_windowbg.dds")
		RedirectTexture("esoui/art/miscellaneous/centerscreen_left.dds", "AethamusUI/media/background.dds")
		RedirectTexture("esoui/art/miscellaneous/centerscreen_right.dds", "AethamusUI/media/blank.dds")
		RedirectTexture("esoui/art/miscellaneous/bottom_bar.dds", "AethamusUI/media/blank.dds")
		RedirectTexture("esoui/art/miscellaneous/top_bar.dds", "AethamusUI/media/blank.dds")
		RedirectTexture("AethamusUI/media/topbar.dds", "AethamusUI/media/topbar.dds")
		RedirectTexture("esoui/art/chatwindow/chat_bg_edge.dds", "AethamusUI/media/chat_bg_edge.dds")
		RedirectTexture("esoui/art/chatwindow/chat_bg_center.dds", "AethamusUI/media/chat_bg_center.dds")
		RedirectTexture("esoui/art/chatwindow/chat_minimized_mungebg.dds", "AethamusUI/media/chat_minimized_mungebg.dds")
		RedirectTexture("esoui/art/chatwindow/chat_minimized_mungebg_highlight.dds", "AethamusUI/media/chat_minimized_mungebg_highlight.dds")
end
for key,value  in zo_insecurePairs(_G) do
   if (key):find("^Zo") and type(value) == "userdata" and value.SetFont then
      --local font = {value:GetFontInfo()}
      --if font[1] == "EsoUI/Common/Fonts/Univers47.otf" then
      --font[1] = "AethamusUI/media/Fonts/AetheriusB.ttf"	
      --value:SetFont(table.concat(font, "|"))
	  --end
      --local font = {value:GetFontInfo()}
      --if font[1] == "EsoUI/Common/Fonts/Univers57.otf" then
      --font[1] = "AethamusUI/media/Fonts/AetheriusB.ttf"	
      --value:SetFont(table.concat(font, "|"))
	  --end
      --local font = {value:GetFontInfo()}
      --if font[1] == "EsoUI/Common/Fonts/Univers67.otf" then
      --font[1] = "AethamusUI/media/Fonts/AetheriusB.ttf"	
      --value:SetFont(table.concat(font, "|"))
	  --end
   end
end
--SetSCTKeyboardFont("AethamusUI/media/Fonts/AetheriusB.ttf" .. "|" .. 64 .. "|",FONT_STYLE_SOFT_SHADOW_THIN)
	--end

function atui.UpdateSCTFonts()
  -- Set the Scrolling Combat Text font
  --SetSCTKeyboardFont("AethamusUI/media/Fonts/AetheriusB.ttf" .. "|" .. 64 .. "|",FONT_STYLE_SOFT_SHADOW_THIN)
end

function atui:SetupEvents(toggle)
  --EVENT_ZONE_CHANGED
  if toggle then
    EVENT_MANAGER:RegisterForEvent(self.name, EVENT_PLAYER_ACTIVATED, atui.UpdateSCTFonts)
  else
    EVENT_MANAGER:UnregisterForEvent(self.name, EVENT_PLAYER_ACTIVATED)
  end
end
	
function OnAddOnLoaded(eventCode, addOnName)
    if addOnName ~= atui.appName then return end
	EVENT_MANAGER:UnregisterForEvent(atui.appName, EVENT_ADD_ON_LOADED, OnAddonLoaded)
    atuiAethamus()
    atui:SetupEvents(true)
	local defaults = {
		Icon = "Aethamus UI"
	}
end
  
EVENT_MANAGER:RegisterForEvent(atui.appName, EVENT_ADD_ON_LOADED, OnAddOnLoaded)

local MyTexture = WINDOW_MANAGER:CreateControl("TopBar", ZO_TopBar, CT_TEXTURE)   
MyTexture:SetDimensions(1440,90) 
MyTexture:SetAnchor(CENTER, ZO_TopBar, CENTER, -35, 6) 
MyTexture:SetTexture("AethamusUI/media/topbar.dds")